unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeeComma, TeEngine, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, TeeTools;

procedure TForm1.Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  tmpX, tmpY: Double;
begin
  Chart1[0].GetCursorValues(tmpX, tmpY);
  Label1.Caption:=FloatToStr(Round(tmpX));
  Label2.Caption:=FloatToStr(Round(tmpX));
  Chart1.Title.Text.Text:=FloatToStr(Round(tmpX));
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  Chart1.View3D := False;
  Chart1.Legend.Visible := False;

  Chart1.AddSeries(TFastLineSeries);
  for i := 0 to 200 do
    Chart1.Series[0].AddXY(i, i, '', clRed);

  with Chart1.Tools.Add(TCursorTool) as TCursorTool do
    FollowMouse := True;
end;

end.
